function p = primen
%
% A list of 100 primes is produced by checking, for a certain odd integer I,
% if there is an odd integer less than or equal to the root of I, which 
% divides I or not.
%
I = 5;
N = 0;
while N < 100
  M = 0;
  J = fix(sqrt(I));
  for K = 3:2:J
    L = fix(I/K);
    if (L*K-I) == 0
      M = 1;
      break;
    end
  end
  if M == 0
    N = N + 1;    
    prime(N) = I;
  end
  I = I + 2;
end
p = prime;
return